> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI action

> Get AI action by ID



## OpenAPI

````yaml get /ai-actions/{id}
openapi: 3.1.0
info:
  title: CookieChimp API
  description: API for CookieChimp.com
  version: 1.0.1
servers:
  - url: https://cookiechimp.com/api/v1
security:
  - authorization: []
paths:
  /ai-actions/{id}:
    get:
      tags:
        - AI Actions
      summary: Get AI action
      description: Get AI action by ID
      operationId: getAIAction
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: AI action
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIAction'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID of the resource
      required: true
      schema:
        type: string
  schemas:
    AIAction:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the AI action
        cookie_id:
          type: string
          description: ID of the cookie that the AI action is associated with
        type:
          type: string
          enum:
            - autofill
            - auto_categorisation
            - auto_approved
        metadata:
          type: object
          additionalProperties: true
      example:
        cookie_id: example_uuid
        type: autofill
        metadata:
          description: Tracks user activities.
          company: Example Company
          domain: example.com
          duration: Session
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
      example:
        error:
          code: 400
          message: Invalid request
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      description: API token obtained from the login endpoint or the dashboard

````